
package at.gv.justiz.erv.ervnachrichtextern.v3_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java-Klasse für NachrichtTyp complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="NachrichtTyp"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Einbringungszeitpunkt" type="{http://www.w3.org/2001/XMLSchema}dateTime"/&gt;
 *         &lt;element name="Nachweis" type="{http://www.w3.org/2001/XMLSchema}boolean"/&gt;
 *         &lt;element name="ReferenzNachrichtId" type="{http://erv.justiz.gv.at/ERVTypenExtern/V3_0}ERVIDToken" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NachrichtTyp", propOrder = {
    "einbringungszeitpunkt",
    "nachweis",
    "referenzNachrichtId"
})
public class NachrichtTyp {

    @XmlElement(name = "Einbringungszeitpunkt", required = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar einbringungszeitpunkt;
    @XmlElement(name = "Nachweis")
    protected boolean nachweis;
    @XmlElement(name = "ReferenzNachrichtId")
    protected String referenzNachrichtId;

    /**
     * Ruft den Wert der einbringungszeitpunkt-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getEinbringungszeitpunkt() {
        return einbringungszeitpunkt;
    }

    /**
     * Legt den Wert der einbringungszeitpunkt-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setEinbringungszeitpunkt(XMLGregorianCalendar value) {
        this.einbringungszeitpunkt = value;
    }

    /**
     * Ruft den Wert der nachweis-Eigenschaft ab.
     * 
     */
    public boolean isNachweis() {
        return nachweis;
    }

    /**
     * Legt den Wert der nachweis-Eigenschaft fest.
     * 
     */
    public void setNachweis(boolean value) {
        this.nachweis = value;
    }

    /**
     * Ruft den Wert der referenzNachrichtId-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReferenzNachrichtId() {
        return referenzNachrichtId;
    }

    /**
     * Legt den Wert der referenzNachrichtId-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReferenzNachrichtId(String value) {
        this.referenzNachrichtId = value;
    }

}
