package at.gv.brz.bjujq.erv.samples.anschriftcode_kopplung;

import at.gv.brz.bjujq.erv.samples.common.MockErvAnschriftcodeKopplungPortBuilder;
import at.gv.brz.bjujq.erv.samples.common.SchemaUtil;
import at.gv.justiz.erv.ervanschriftcodekopplungserviceextern.v3_0.ERVAnschriftcodeKopplungPortType;
import at.gv.justiz.erv.ervanschriftcodekopplungserviceextern.v3_0.ERVAnschriftcodeKopplungServiceException_Exception;
import at.gv.justiz.erv.ervanschriftcodekopplungserviceextern.v3_0.EntkoppelnRequest;
import at.gv.justiz.erv.ervanschriftcodekopplungserviceextern.v3_0.EntkoppelnResponse;

public class Entkoppeln {

    public static void main(String[] args) throws ERVAnschriftcodeKopplungServiceException_Exception {
        ERVAnschriftcodeKopplungPortType ervAnschriftcodeKopplungPortType = new MockErvAnschriftcodeKopplungPortBuilder().withEntkoppeln().build();

        EntkoppelnRequest request = SchemaUtil.OF_ANK_SERVICE.createEntkoppelnRequest();
        request.setAnschriftcode("R000001");

        EntkoppelnResponse response = ervAnschriftcodeKopplungPortType.entkoppeln(request);

        // Fehlerbehandlung
        if (response.getFehler() != null) {

        } else if (response.getStatusfehler() != null) {

        }
    }
}
