package at.gv.brz.bjujq.erv.samples.common;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.UUID;

public final class ERVUtil {

    public static final String DATE_PATTERN = "yyyyMMdd";

    /**
     * Erstelle eine ERV-ID mit der Domain test.at.
     *
     * @return String
     */
    public static String generateRandomId() {
        return String.format("mid://%s.%s@test.at", new SimpleDateFormat(DATE_PATTERN).format(new Date()), UUID.randomUUID().toString());
    }

    private ERVUtil() {

    }
}
