package at.gv.brz.bjujq.erv.samples.common;

import javax.xml.bind.ValidationEvent;
import javax.xml.bind.ValidationEventHandler;

public class JaxbValidationEventHandler implements ValidationEventHandler {

    @Override
    public final boolean handleEvent(final ValidationEvent event) {
        switch (event.getSeverity()) {
        case ValidationEvent.FATAL_ERROR:
        case ValidationEvent.ERROR:
            throw new RuntimeException(event.getMessage());

        case ValidationEvent.WARNING:
            return true;
        default:
            return true;
        }

    }
}
